XtDisplay(3Xt)

NAME
XtDisplay, XtParent, XtScreen, XtWindow - obtain window information about a widget

SYNTAX
Display *XtDisplay(w)
      Widget w;

Widget XtParent(w)
     Widget w;

Screen *XtScreen(w)
      Widget w;

Window XtWindow(w)
      Widget w;

ARGUMENTS

w   Specifies the widget.

DESCRIPTION
returns the display pointer for the specified widget.

returns the parent widget for the specified widget.

returns the screen pointer for the specified widget.

returns the window of the specified widget.

SEE ALSO
XtClass(3Xt)
X Toolkit Intrinsics - C Language Interface
Xlib - C Language X Interface